/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\leviathan artifacts\watercityvendors\SBCarpentry.cs
Lines of code: 47
***********************************************************/


using System;
using System.Collections;
using Server.Items;

namespace Server.Mobiles
{
	public class SBCarpentry: SBInfo
	{
		private ArrayList m_BuyInfo = new InternalBuyInfo();
		private IShopSellInfo m_SellInfo = new InternalSellInfo();

		public SBCarpentry()
		{
		}

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } }
		public override ArrayList BuyInfo { get { return m_BuyInfo; } }

		public class InternalBuyInfo : ArrayList
		{
			public InternalBuyInfo()
			{
				Add( new GenericBuyInfo( typeof( Nails ), 2, 20, 0x102E, 0 ) );
				Add( new GenericBuyInfo( typeof( Axle ), 1, 20, 0x105B, 0 ) );
				Add( new GenericBuyInfo( typeof( Board ), 5, 20, 0x1BD7, 0 ) );
				Add( new GenericBuyInfo( typeof( OakBoard ), 15, 20, 0x1BD7, 0 ) );
				Add( new GenericBuyInfo( typeof( AshBoard ), 30, 20, 0x1BD7, 0 ) );
				Add( new GenericBuyInfo( typeof( YewBoard ), 100, 20, 0x1BD7, 0 ) );
				Add( new GenericBuyInfo( typeof( BloodwoodBoard ), 160, 20, 0x1BD7, 0 ) );
				Add( new GenericBuyInfo( typeof( HeartwoodBoard ), 270, 20, 0x1BD7, 0 ) );


				Add( new GenericBuyInfo( typeof( DrawKnife ), 5, 20, 0x10E4, 0 ) );
				Add( new GenericBuyInfo( typeof( Froe ), 5, 20, 0x10E5, 0 ) );
				Add( new GenericBuyInfo( typeof( Scorp ), 5, 20, 0x10E7, 0 ) );
				Add( new GenericBuyInfo( typeof( Inshave ), 5, 20, 0x10E6, 0 ) );
				Add( new GenericBuyInfo( typeof( DovetailSaw ), 6, 20, 0x1028, 0 ) );
				Add( new GenericBuyInfo( typeof( Saw ), 7, 20, 0x1034, 0 ) );
				Add( new GenericBuyInfo( typeof( Hammer ), 8, 20, 0x102A, 0 ) );
				Add( new GenericBuyInfo( typeof( MouldingPlane ), 6, 20, 0x102C, 0 ) );
				Add( new GenericBuyInfo( typeof( SmoothingPlane ), 5, 20, 0x1032, 0 ) );
				Add( new GenericBuyInfo( typeof( JointingPlane ), 6, 20, 0x1030, 0 ) );
				Add( new GenericBuyInfo( typeof( Drums ), 10, 20, 0xE9C, 0 ) );
				Add( new GenericBuyInfo( typeof( Tambourine ), 10, 20, 0xE9D, 0 ) );
				Add( new GenericBuyInfo( typeof( LapHarp ), 10, 20, 0xEB2, 0 ) );
				Add( new GenericBuyInfo( typeof( Lute ), 10, 20, 0xEB3, 0 ) );
			}
		}

		public class InternalSellInfo : GenericSellInfo
		{
		}
	}
}
